Subject: RE: [ietf-provreg] Country codes (another EPP Document Update)

From: "Hollenbeck, Scott" <[email-masked]>
Date: Fri, 12 Aug 2005 21:58:09 +0200 (MEST)

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Andrew Sullivan
> Sent: Friday, August 12, 2005 3:16 PM
> To: [email-masked]
> Subject: [ietf-provreg] Country codes (another EPP Document Update)
> 
> I just remembered that there's one more annoyance that I've forgotten
> to mention, but I think we'd benefit from addressing.
> 
> RFC 3733 requires (in section 2.4.3) that registrant country be
> represented by the ISO 3166 country code.
> 
> The problem is, as I'm sure everyone is aware, that the ISO 3166
> rules permit not only the obsolescence of a country code, but its
> reassignment.  The possibility that a country code will come to refer
> to some other country seems to be conceptually broken for our
> purposes, because while countries go out of existence (and their
> country code is deleted), the addresses often don't change (and even
> if they did, there's be precious little way of getting the data from
> the contact if one interacts with the person corresponding to the
> contact object indirectly).  Formally speaking, this means that
> allowing (for instance) YU in an address is not permitted today, even
> though it was correct when the address was created.  This is of
> course a pain, because the country code is valid at one date, and
> becomes invalid later.
> 
> I know that people elsewhere in the IETF are struggling with this
> problem for considerably more important cases than this one; but is
> there anything we can do about it now, while we're looking at these
> documents?

If you know of a way to describe a country with an identifier that never
changes, clue me in.  Even their commonly spoken names can change.
Witness Congo->Zaire->Congo, Russia->USSR->Russia, etc.

I agree with Ed.  This is a back-end database "archival" issue.

-Scott-